## Install dependencies

### Install node

You'll need node v6+, here's a link to install it:
https://nodejs.org/en/download/package-manager/#debian-and-ubuntu-based-linux-distributions

### Install yarn and dependencies

```
sudo npm install -g yarn
yarn install
```

### Go tools && Dependencies

As there is no versioning yet, you need to manually go get all the packages


```
go get ./...
```

go tools:

```
go get -v github.com/pilu/fresh
go get -v github.com/mattes/migrate
```

## Dev

#### Check your config.yml file

#### Run server

```
make dev
```

#### Run javascript tools

```
yarn start
```

## Connect to the database

```
docker run -it --rm -e PGPASSWORD=test --link canape_postgresql_dev:postgres postgres:9.5 psql -h postgres -U test -d dev
```

## Default users

This users are defined with this parameters:
pepper: "pepper"
cost: 10

Users:
* Admin user: admin / admin
* Test user: test / test

## Run the tests


```
make test
```

## To clean up

```
make clean
```

## Production build

```
yarn build
```
