package admin

import (
	"net/http"

	"gitlab.quimbo.fr/odwrtw/canape-sql/src/internal/users"
	"gitlab.quimbo.fr/odwrtw/canape-sql/src/internal/web"

	"github.com/sirupsen/logrus"
)

// GetUsersHandler returns the user list
func GetUsersHandler(env *web.Env, w http.ResponseWriter, r *http.Request) error {
	log := env.Log.WithFields(logrus.Fields{
		"function": "admin.GetUsersHandler",
	})

	log.Debug("Getting users")

	users, err := users.GetAll(env.Database)
	if err != nil {
		return env.RenderError(w, err)
	}

	return env.RenderJSON(w, users)
}
