package backend

import (
	"gitlab.quimbo.fr/odwrtw/canape-sql/src/internal/auth"
	"gitlab.quimbo.fr/odwrtw/canape-sql/src/internal/users"

	"github.com/jmoiron/sqlx"
)

// Backend represents the data backend
type Backend struct {
	Database *sqlx.DB
}

// Name implements the Module interface
func (b *Backend) Name() string {
	return "canape-backend"
}

// GetUser gets the username from the UserBackend
// Implements the UserBackend interface
func (b *Backend) GetUser(username string) (auth.User, error) {
	return users.Get(b.Database, username)
}
