import React from "react"

export default function UserList(props) {
  return (
    <div>
      <h2 className="hidden-xs">Users</h2>
      <h3 className="visible-xs">Users</h3>
      <table className="table">
        <thead>
          <tr className="active">
            <th>#</th>
            <th>Name</th>
            <th>Admin</th>
            <th>Polochon URL</th>
            <th>Polochon token</th>
          </tr>
        </thead>
        <tbody>
          {props.users.map(function(el, index) {
            return (
              <User key={index} data={el} />
            );
          })}
        </tbody>
      </table>
    </div>
  );
}

function User(props) {
  const polochonConfig = props.data.get("RawConfig").get("polochon");
  const polochonURL = polochonConfig ? polochonConfig.get("url") : "-";
  const polochonToken = polochonConfig ? polochonConfig.get("token") : "-";
  const admin = props.data.get("Admin") ? "yes" : "no";
  return (
    <tr>
      <td>{props.data.get("id")}</td>
      <td>{props.data.get("Name")}</td>
      <td>{admin}</td>
      <td>{polochonURL}</td>
      <td>{polochonToken}</td>
      <td></td>
    </tr>
  );
}
